services:
  app:
    build: .
    ports:
      - "8080:80"
    environment:
      APP_ENV: local
      APP_KEY: ${APP_KEY}
      DB_CONNECTION: pgsql
      DB_HOST: db
      DB_PORT: 5432
      DB_DATABASE: ${DB_DATABASE:-flightsapi}
      DB_USERNAME: ${DB_USERNAME:-flightsapi}
      DB_PASSWORD: ${DB_PASSWORD:-flightsapi}
    depends_on:
      db:
        condition: service_healthy
    volumes:
      - .:/var/www
